// IVSDemo.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols


// CIntelligentDeviceApp:
// See IVSDemo.cpp for the implementation of this class
//

class CIntelligentDeviceApp : public CWinApp
{
public:
	CIntelligentDeviceApp();

// Overrides
	public:
	virtual BOOL InitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()
};

extern CIntelligentDeviceApp theApp;

/////////////////////////////////////////////////////////////////////////////
void TraceOut (const char * szFmt, ...);


int GetEncoderClsid(const WCHAR* format, CLSID* pClsid);

void g_SetWndStaticText(CWnd * pWnd, const TCHAR* pszSeg = NULL);
CString ConvertString(CString strText, const TCHAR* pszSeg  = NULL );